<?php
ini_set('memory_limit', '16384M');
setlocale(LC_TIME, 'it_IT');
date_default_timezone_set('Europe/Rome');
session_start();
require_once("functions.php");
$oggi = date("d-m-Y"); 
$server = $_SERVER['SERVER_NAME'];
$ipAddress_logged = $_SERVER['REMOTE_ADDR'];
if (array_key_exists('HTTP_X_FORWARDED_FOR', $_SERVER)) {
	$ipAddress_logged = array_pop(explode(',', $_SERVER['HTTP_X_FORWARDED_FOR']));
}
$hash_informazioni_utente_logged = $_SESSION["DAST"]["hash_informazioni_utente_logged"];
$informazioni_utente_logged = $_SESSION["DAST"]["informazioni_utente_logged"];
$user_logged = $informazioni_utente_logged["username"];
$id_user_logged = $informazioni_utente_logged["id_utente"];
$permessi_user_logged = $informazioni_utente_logged["code"];
 if ($hash_informazioni_utente_logged != md5($user_logged.$oggi.$server)) {
	session_destroy();
	$_SESSION = array();
	header("Location: login.php");
	echo "Accesso non autorizzato";
	exit;
}
?>